## rock-master-19.06-drivers-sonar-tritech 0.20170427

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(sonar_tritech 0.1)
add_definitions(-g)
rock_standard_layout()

=== src/CMakeLists.txt ===
rock_library(sonar_tritech
    SOURCES SeaNetMicron.cpp SeaNet.cpp SeaNetTypesInternal.cpp SeaNetProfiling.cpp SeaNetEchosounder.cpp 
  HEADERS SeaNetMicron.hpp SeaNet.hpp SeaNetTypes.hpp SeaNetTypesInternal.hpp SeaNetProfiling.hpp SeaNetEchosounder.hpp
  DEPS_PKGCONFIG base-lib iodrivers_base aggregator)

rock_executable(sonar_tritech_bin Main.cpp
    DEPS sonar_tritech)

rock_executable(echosounder_test EchosounderMain.cpp
    DEPS sonar_tritech)

=== test/CMakeLists.txt ===
rock_testsuite(test_detector
    DEPS sonar_tritech
    SOURCES suite.cpp test_micron.cpp)

=== debian/changelog ===
rock-master-19.06-drivers-sonar-tritech (0.20170427-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-drivers/drivers-sonar_tritech.git
  * branch: refs/heads/master
  * commit: 8c33dca1c98d0809e9040cfcaf74b7dd6a288d00
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Mon, 08 Jul 2019 18:31:02 +0200

=== debian/control ===
Source: rock-master-19.06-drivers-sonar-tritech
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, rock-master-19.06-base-cmake, rock-master-19.06-base-types, rock-master-19.06-drivers-aggregator, rock-master-19.06-drivers-iodrivers-base
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-drivers-sonar-tritech
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-base-types, rock-master-19.06-drivers-aggregator, rock-master-19.06-drivers-iodrivers-base, cmake, build-essential
Description: driver for micron dst and profiling sonar from tritech
 driver for micron dst and profiling sonar from tritech
